Subject: RE: cygqwin with mingw32 question
From: "Jon Leichter" <[email-masked]>
To: "Jonathan Wilson" <[email-masked]>
Cc: <[email-masked]>
Date: Fri, 29 Mar 2002 08:01:29 -0800

Jonathan,

I have to admit that I don't quite understand your original question either.
However, it seems like you're interested in understanding some of the
internals of Cygwin's gcc and the -mno-cygwin switch.

First of all, a quick response: when you specify -mno-cygwin to the
compiler, __CYGWIN__ is NOT defined. Rather, __MINGW32__ is defined.

In the past, I made contributions to OpenLDAP so that it would build as
MinGW binaries with Cygwin gcc. As part of this contribution, I wrote a
detailed document on Cygwin, MinGW, and the internals of how they relate to
each other. You can read this document on OpenLDAP's web site:

  http://www.openldap.org/faq/data/cache/301.html

I don't vouch for its accurracy. I last updated it in December, but you know
how quickly software changes. Also, the content is based purely on my
experience as a user and not a developer of Cygwin. So there may be things
I'm wrong about. Nevertheless, it's fairly comprehensive. I hope this
helps...

Jon

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf
> Of Jonathan Wilson
> Sent: Friday, March 29, 2002 3:57 AM
> To: [email-masked]
> Subject: Re: cygqwin with mingw32 question
>
> I did see that but what I dont understand is if __CYGWIN__ is defined
> when -mno-cygwin is selected.
> I also need to know if cygwin GCC defines some specific flag that I can
> test for that identifies it as GCC.
>
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/